> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single canonical event by ID.



## OpenAPI

````yaml /api-reference/ilyama.v1.json get /projects/{project_id}/events/{event_id}
openapi: 3.1.0
info:
  description: >
    Generation-ready starter contract for ilyama's HTTP API.

    This is intentionally scoped to stable routes already mounted in
    services/apis

    so frontend clients can begin integrating against the rewrite immediately.
  title: ilyama Core API
  version: 0.1.0
servers:
  - url: /core/api/v1
security:
  - bearerAuth: []
tags:
  - name: Certificates (HTTP)
  - name: Device JITR
  - name: Device RPC
  - name: Devices
  - name: Edge replication
  - name: Fleets
  - name: Integrations
  - name: MDM
  - name: Notification Event Registry
  - name: Notifications
  - name: OTA
  - name: Observability & data
  - name: Organizations
  - name: Project settings
  - name: Projects
  - name: Projects — Email Templates
  - name: Projects — Notification Subscriptions
  - name: Projects — Status
  - name: System
  - name: Tickets & workflows
  - name: Webhooks
paths:
  /projects/{project_id}/events/{event_id}:
    get:
      tags:
        - Observability & data
      summary: Get a single canonical event by ID.
      operationId: getCanonicalEvent
      parameters:
        - in: path
          name: project_id
          required: true
          schema:
            format: uuid
            type: string
        - in: path
          name: event_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CanonicalEventResponse'
          description: Canonical event detail
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Event not found
      security:
        - bearerAuth: []
          orgIdHeader: []
components:
  schemas:
    CanonicalEventResponse:
      properties:
        data:
          $ref: '#/components/schemas/CanonicalEventItem'
        ok:
          enum:
            - 1
          type: integer
      required:
        - ok
        - data
      type: object
    ErrorEnvelope:
      properties:
        detail:
          type: string
        message:
          oneOf:
            - type: string
            - type: object
        ok:
          enum:
            - 0
          type: integer
      required:
        - ok
        - message
        - detail
      type: object
    CanonicalEventItem:
      properties:
        action:
          type: string
        correlation_id:
          format: uuid
          nullable: true
          type: string
        device_id:
          format: uuid
          nullable: true
          type: string
        domain:
          type: string
        entity:
          type: string
        fleet_id:
          format: uuid
          nullable: true
          type: string
        id:
          format: uuid
          type: string
        occurred_at:
          format: date-time
          type: string
        org_id:
          format: uuid
          type: string
        payload:
          additionalProperties: true
          nullable: true
          type: object
        project_id:
          format: uuid
          type: string
        source_service:
          nullable: true
          type: string
        span_id:
          nullable: true
          type: string
        trace_id:
          nullable: true
          type: string
      required:
        - id
        - org_id
        - project_id
        - domain
        - entity
        - action
        - occurred_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http
    orgIdHeader:
      in: header
      name: ORG-ID
      type: apiKey

````